## GstVaapiDecoderMpeg4

GstVaapiDecoderMpeg4 — MPEG-4 decoder, include h263/divx/xvid support

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_mpeg4_new ()

## Types and Values

| GstVaapiDecoderMpeg4

## Object Hierarchy

## Description

## Functions

### gst_vaapi_decoder_mpeg4_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_mpeg4_new (GstVaapiDisplay *display,
                                 GstCaps *caps);

Creates a new GstVaapiDecoder for MPEG-2 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderMpeg4

    typedef struct _GstVaapiDecoderMpeg4 GstVaapiDecoderMpeg4;

A decoder based on Mpeg4.